
class RetrievalError(Exception):
    pass

class StorageKeyError(RetrievalError):
    pass

class StorageVersionError(RetrievalError):
    pass

class UsageError(ValueError):
    def __init__(self, string = "Invalid usage", *more):
        ValueError.__init__(self, string, *more)
