#
#   Twisted Pynfo - A relay, info, and search bot for IRC.
#   Copyright (C) 2002 Jp Calderone (exarkun@twistedmatrix.com)
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111 USA
#

from twisted.names import client
from socket import inet_ntoa

def info_LOOKUP(bot, user, channel, query):
    def tellUserResponse((ans, auth, add)):
        bot.reply(user, "%s: %s" % (query, [str(a.payload) for a in ans]))

    def tellUserError(failure):
        bot.reply(user, "Host lookup failed.")

    client.lookupAddress(query).addCallbacks(
        tellUserResponse, tellUserError
    )
